Subject: Re: [PATCH] enable built-in networking for Sequoia defconfig

From: Stefan Roese <[email-masked]>
Date: Wed, 9 Jan 2008 16:06:59 +0100

On Wednesday 09 January 2008, Matthias Fuchs wrote:
> > The defconfig?  Not sure.  What I normally do is a make foo_defconfig,
> > edit the .config, make oldconfig, and copy the resulting .config back
> > to foo_defconfig.
>
> Yes, this is what I also do.
>
> But how did Hollis get these lines into .config or sequoia_defconfig:
>
> +CONFIG_IBM_NEW_EMAC=y
> +CONFIG_IBM_NEW_EMAC_RXB=128
> +CONFIG_IBM_NEW_EMAC_TXB=64
> +CONFIG_IBM_NEW_EMAC_POLL_WEIGHT=32
> +CONFIG_IBM_NEW_EMAC_RX_COPY_THRESHOLD=256
> +CONFIG_IBM_NEW_EMAC_RX_SKB_HEADROOM=0
>
> I did not find any Kconfigs where these might come from.

Take a look at drivers/net/ibm_newemac/Kconfig.

Viele Grüße,
Stefan

=====================================================================
DENX Software Engineering GmbH,     MD: Wolfgang Denk & Detlev Zundel
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: +49-8142-66989-0 Fax: +49-8142-66989-80  Email: [email-masked]
=====================================================================